basemap_dict = {
    "topo-3d": [
        {
            "id": "topo-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/1e7d1784d1ef4b79ba6764d0bd6c3150/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "Topographic",
            "visibility": True,
            "opacity": 1,
        },
        {
            "id": "topo-3d-trees",
            "title": "Trees",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Trees_Thematic_v1/SceneServer",
            "itemid": "f75fef56b2d944fe92ef9f7737b4f953",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "topo-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_DarkLabels_v1/SceneServer",
            "itemid": "a84404ad39c64c328d0596e361ec459b",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "topo-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "navigation-3d": [
        {
            "id": "navigation-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/ccc904ff872b4144b94934e55e32784b/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "Navigation",
            "visibility": True,
            "opacity": 1,
        },
        {
            "id": "navigation-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_DarkLabels_v1/SceneServer",
            "itemid": "a84404ad39c64c328d0596e361ec459b",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "navigation-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "streets-3d": [
        {
            "id": "streets-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/198298c4c64c4cb19de5b46aa00c198d/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "Streets",
            "visibility": True,
            "opacity": 1,
        },
        {
            "id": "streets-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_DarkLabels_v1/SceneServer",
            "itemid": "a84404ad39c64c328d0596e361ec459b",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "streets-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "osm-3d": [
        {
            "id": "osm-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/8628d259c9d14bdc848771c23c513940/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "OpenStreetMap",
            "visibility": True,
            "opacity": 1,
        },
        {
            "id": "osm-3d-trees",
            "title": "Trees",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Trees_Thematic_v1/SceneServer",
            "itemid": "f75fef56b2d944fe92ef9f7737b4f953",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "osm-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_DarkLabels_v1/SceneServer",
            "itemid": "a84404ad39c64c328d0596e361ec459b",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "osm-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "gray-3d": [
        {
            "id": "gray-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/01a14b466345455ba4176d2e6390db92/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "Streets",
            "visibility": True,
            "opacity": 1,
        },
        {
            "id": "gray-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_DarkLabels_v1/SceneServer",
            "itemid": "a84404ad39c64c328d0596e361ec459b",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "gray-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "navigation-dark-3d": [
        {
            "id": "navigation-dark-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/451a1777ab3f4bf095fae24a117439d9/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "Navigation Dark",
        },
        {
            "id": "navigation-dark-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_LightLabels_v1/SceneServer/layers/0",
            "itemid": "f364b70b012a4da5a4b5921e193eac4a",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "navigation-dark-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "streets-dark-3d": [
        {
            "id": "streets-dark-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/bc599b6d741a4ac084b7eea7bf8c5938/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "OpenStreetMap Streets Night (for 3D)",
        },
        {
            "id": "streets-dark-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_LightLabels_v1/SceneServer",
            "itemid": "f364b70b012a4da5a4b5921e193eac4a",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "streets-dark-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
    "dark-gray-3d": [
        {
            "id": "dark-gray-3d-base-layer",
            "styleUrl": "https://www.arcgis.com/sharing/rest/content/items/4178f71acb934fb89f169e7d667c20c6/resources/styles/root.json",
            "layerType": "VectorTileLayer",
            "title": "OpenStreetMap Dark Gray Canvas (for 3D)",
        },
        {
            "id": "dark-gray-3d-places-and-labels",
            "title": "Places and Labels",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_LightLabels_v1/SceneServer/layers/0",
            "itemid": "f364b70b012a4da5a4b5921e193eac4a",
            "layerType": "ArcGISSceneServiceLayer",
        },
        {
            "id": "dark-gray-3d-buildings",
            "title": "Buildings",
            "url": "https://basemaps3d.arcgis.com/arcgis/rest/services/OpenStreetMap3D_Buildings_v1/SceneServer",
            "itemid": "ca0470dbbddb4db28bad74ed39949e25",
            "layerType": "ArcGISSceneServiceLayer",
        },
    ],
}
